com.genesyslab.wfm8.API.service.config810

## Class CfgContract

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config810.CfgContract

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgContract
      extends java.lang.Object
      implements java.io.Serializable

  Contract information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` A timestamp value -- marks the point in time when Object information was obtained
    `protected java.util.List<CfgContractWeekHours>` | `wmAvailabilities` Contract Open Hours (`CfgContractWeekHours`) for every week day.
    `protected int` | `wmBUId` Contract BU ID `CfgBU`
    `protected double` | `wmCompensationOver` DEPRECIATED
    `protected double` | `wmCompensationOver2` DEPRECIATED
    `protected int` | `wmContractId` Contract ID
    `protected java.util.List<CfgContractMonthHours>` | `wmContractMonthHours` Contract Monthly Hours (`CfgContractMonthHours`); Index values: 0 = Jan, 2 = Feb, ..., 11 = Dec NOTE: Must always contain 12 elements.
    `protected java.util.List<CfgContractShift>` | `wmContractShifts` List of Shifts (`CfgContractShift`) that are associated with Contract
    `protected int` | `wmContractShiftsNSizeIs` Number of elements in the wmContractShifts array
    `protected int` | `wmDailyMinutesMax` Maximum Daily Minutes
    `protected int` | `wmDailyMinutesMin` Minimum Daily Minutes
    `protected int` | `wmDailyMinutesOver` DEPRECIATED
    `protected int` | `wmDailyMinutesOver2` DEPRECIATED
    `protected int` | `wmDailyMinutesStd` Standard Daily Minutes
    `protected int` | `wmDayoffEx`
    `protected int` | `wmDayoffMax` Maximum number of Days Off
    `protected int` | `wmDayoffMin` Minimum number of Days Off
    `protected int` | `wmIcon` Icon ID
    `protected int` | `wmMaxBetweenDaysoff` Maximum number of work days between days off
    `protected int` | `wmMaxConsecWorkWeekends` Maximum Consecutive Work Weekends; value of -1 stands for "not defined".
    `protected int` | `wmMinConsecTimeoff` Minimum number of Consecutive Time Off
    `protected int` | `wmMonthlyMinutesMax` Maximum Monthly Minutes
    `protected int` | `wmMonthlyMinutesMin` Minimum Monthly Minutes
    `protected int` | `wmMonthlyMinutesOver` DEPRECIATED
    `protected int` | `wmMonthlyMinutesOver2` DEPRECIATED
    `protected int` | `wmMonthlyMinutesStd` Standard Monthly Minutes
    `protected java.lang.String` | `wmName` Contract Name
    `protected boolean` | `wmOver2Enabled` DEPRECIATED
    `protected boolean` | `wmOverEnabled` DEPRECIATED
    `protected boolean` | `wmSatOffEnabled` Saturdays Off rule enabled (true/false)
    `protected int` | `wmSatOffMax` Maximum number of Saturdays off (per planning period)
    `protected int` | `wmSatOffMin` Minimum number of Saturdays off (per planning period)
    `protected java.util.List<java.lang.Integer>` | `wmSiteId` List of Site ID that Contract belongs to --identifies `CfgSite` objects
    `protected int` | `wmSiteIdNSizeIs` Number of aelements in wmSiteId array
    `protected boolean` | `wmSunOffEnabled` Sundays Off rule enabled (true/false)
    `protected int` | `wmSunOffMax` Maximum number of Sundays off (per planning period)
    `protected int` | `wmSunOffMin` Minimum number of Sundays off (per planning period)
    `protected java.util.List<java.lang.Boolean>` | `wmSynch` Synch flag for every week day.
    `protected int` | `wmSynchThreshold` Synchronization Threshold
    `protected int` | `wmSynchType` Indicates what type of synchronization scheduler should use.
    `protected int` | `wmSynchWeeks` Synchronization Weeks
    `protected int` | `wmWeekendFirstDay` Weekend start day.
    `protected boolean` | `wmWeekendOffEnabled` Weekends Off rule enabled (true/false)
    `protected int` | `wmWeekendOffMax` Maximum number of Weekends off (per planning period)
    `protected int` | `wmWeekendOffMin` Minimum number of Weekends off (per planning period)
    `protected int` | `wmWeeklyDaysMax` Maximum number of work days per week
    `protected int` | `wmWeeklyDaysMin` Minimum number of work days per week
    `protected int` | `wmWeeklyMinutesMax` Maximum Weekly MInutes
    `protected int` | `wmWeeklyMinutesMin` Minimum Weekly Minutes
    `protected int` | `wmWeeklyMinutesOver` DEPRECIATED
    `protected int` | `wmWeeklyMinutesOver2` DEPRECIATED
    `protected int` | `wmWeeklyMinutesStd` Standard Weekly Minutes

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgContract()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.util.List<CfgContractWeekHours>` | `getWmAvailabilities()` Gets the value of the wmAvailabilities property.
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `double` | `getWmCompensationOver()` Gets the value of the wmCompensationOver property.
    `double` | `getWmCompensationOver2()` Gets the value of the wmCompensationOver2 property.
    `int` | `getWmContractId()` Gets the value of the wmContractId property.
    `java.util.List<CfgContractMonthHours>` | `getWmContractMonthHours()` Gets the value of the wmContractMonthHours property.
    `java.util.List<CfgContractShift>` | `getWmContractShifts()` Gets the value of the wmContractShifts property.
    `int` | `getWmContractShiftsNSizeIs()` Gets the value of the wmContractShiftsNSizeIs property.
    `int` | `getWmDailyMinutesMax()` Gets the value of the wmDailyMinutesMax property.
    `int` | `getWmDailyMinutesMin()` Gets the value of the wmDailyMinutesMin property.
    `int` | `getWmDailyMinutesOver()` Gets the value of the wmDailyMinutesOver property.
    `int` | `getWmDailyMinutesOver2()` Gets the value of the wmDailyMinutesOver2 property.
    `int` | `getWmDailyMinutesStd()` Gets the value of the wmDailyMinutesStd property.
    `int` | `getWmDayoffEx()` Gets the value of the wmDayoffEx property.
    `int` | `getWmDayoffMax()` Gets the value of the wmDayoffMax property.
    `int` | `getWmDayoffMin()` Gets the value of the wmDayoffMin property.
    `int` | `getWmIcon()` Gets the value of the wmIcon property.
    `int` | `getWmMaxBetweenDaysoff()` Gets the value of the wmMaxBetweenDaysoff property.
    `int` | `getWmMaxConsecWorkWeekends()` Gets the value of the wmMaxConsecWorkWeekends property.
    `int` | `getWmMinConsecTimeoff()` Gets the value of the wmMinConsecTimeoff property.
    `int` | `getWmMonthlyMinutesMax()` Gets the value of the wmMonthlyMinutesMax property.
    `int` | `getWmMonthlyMinutesMin()` Gets the value of the wmMonthlyMinutesMin property.
    `int` | `getWmMonthlyMinutesOver()` Gets the value of the wmMonthlyMinutesOver property.
    `int` | `getWmMonthlyMinutesOver2()` Gets the value of the wmMonthlyMinutesOver2 property.
    `int` | `getWmMonthlyMinutesStd()` Gets the value of the wmMonthlyMinutesStd property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `int` | `getWmSatOffMax()` Gets the value of the wmSatOffMax property.
    `int` | `getWmSatOffMin()` Gets the value of the wmSatOffMin property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `int` | `getWmSunOffMax()` Gets the value of the wmSunOffMax property.
    `int` | `getWmSunOffMin()` Gets the value of the wmSunOffMin property.
    `java.util.List<java.lang.Boolean>` | `getWmSynch()` Gets the value of the wmSynch property.
    `int` | `getWmSynchThreshold()` Gets the value of the wmSynchThreshold property.
    `int` | `getWmSynchType()` Gets the value of the wmSynchType property.
    `int` | `getWmSynchWeeks()` Gets the value of the wmSynchWeeks property.
    `int` | `getWmWeekendFirstDay()` Gets the value of the wmWeekendFirstDay property.
    `int` | `getWmWeekendOffMax()` Gets the value of the wmWeekendOffMax property.
    `int` | `getWmWeekendOffMin()` Gets the value of the wmWeekendOffMin property.
    `int` | `getWmWeeklyDaysMax()` Gets the value of the wmWeeklyDaysMax property.
    `int` | `getWmWeeklyDaysMin()` Gets the value of the wmWeeklyDaysMin property.
    `int` | `getWmWeeklyMinutesMax()` Gets the value of the wmWeeklyMinutesMax property.
    `int` | `getWmWeeklyMinutesMin()` Gets the value of the wmWeeklyMinutesMin property.
    `int` | `getWmWeeklyMinutesOver()` Gets the value of the wmWeeklyMinutesOver property.
    `int` | `getWmWeeklyMinutesOver2()` Gets the value of the wmWeeklyMinutesOver2 property.
    `int` | `getWmWeeklyMinutesStd()` Gets the value of the wmWeeklyMinutesStd property.
    `int` | `hashCode()`
    `boolean` | `isWmOver2Enabled()` Gets the value of the wmOver2Enabled property.
    `boolean` | `isWmOverEnabled()` Gets the value of the wmOverEnabled property.
    `boolean` | `isWmSatOffEnabled()` Gets the value of the wmSatOffEnabled property.
    `boolean` | `isWmSunOffEnabled()` Gets the value of the wmSunOffEnabled property.
    `boolean` | `isWmWeekendOffEnabled()` Gets the value of the wmWeekendOffEnabled property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmAvailabilities(java.util.List<CfgContractWeekHours> wmAvailabilities)` Sets the value of the wmAvailabilities property.
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmCompensationOver(double value)` Sets the value of the wmCompensationOver property.
    `void` | `setWmCompensationOver2(double value)` Sets the value of the wmCompensationOver2 property.
    `void` | `setWmContractId(int value)` Sets the value of the wmContractId property.
    `void` | `setWmContractMonthHours(java.util.List<CfgContractMonthHours> wmContractMonthHours)` Sets the value of the wmContractMonthHours property.
    `void` | `setWmContractShifts(java.util.List<CfgContractShift> wmContractShifts)` Sets the value of the wmContractShifts property.
    `void` | `setWmContractShiftsNSizeIs(int value)` Sets the value of the wmContractShiftsNSizeIs property.
    `void` | `setWmDailyMinutesMax(int value)` Sets the value of the wmDailyMinutesMax property.
    `void` | `setWmDailyMinutesMin(int value)` Sets the value of the wmDailyMinutesMin property.
    `void` | `setWmDailyMinutesOver(int value)` Sets the value of the wmDailyMinutesOver property.
    `void` | `setWmDailyMinutesOver2(int value)` Sets the value of the wmDailyMinutesOver2 property.
    `void` | `setWmDailyMinutesStd(int value)` Sets the value of the wmDailyMinutesStd property.
    `void` | `setWmDayoffEx(int value)` Sets the value of the wmDayoffEx property.
    `void` | `setWmDayoffMax(int value)` Sets the value of the wmDayoffMax property.
    `void` | `setWmDayoffMin(int value)` Sets the value of the wmDayoffMin property.
    `void` | `setWmIcon(int value)` Sets the value of the wmIcon property.
    `void` | `setWmMaxBetweenDaysoff(int value)` Sets the value of the wmMaxBetweenDaysoff property.
    `void` | `setWmMaxConsecWorkWeekends(int value)` Sets the value of the wmMaxConsecWorkWeekends property.
    `void` | `setWmMinConsecTimeoff(int value)` Sets the value of the wmMinConsecTimeoff property.
    `void` | `setWmMonthlyMinutesMax(int value)` Sets the value of the wmMonthlyMinutesMax property.
    `void` | `setWmMonthlyMinutesMin(int value)` Sets the value of the wmMonthlyMinutesMin property.
    `void` | `setWmMonthlyMinutesOver(int value)` Sets the value of the wmMonthlyMinutesOver property.
    `void` | `setWmMonthlyMinutesOver2(int value)` Sets the value of the wmMonthlyMinutesOver2 property.
    `void` | `setWmMonthlyMinutesStd(int value)` Sets the value of the wmMonthlyMinutesStd property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmOver2Enabled(boolean value)` Sets the value of the wmOver2Enabled property.
    `void` | `setWmOverEnabled(boolean value)` Sets the value of the wmOverEnabled property.
    `void` | `setWmSatOffEnabled(boolean value)` Sets the value of the wmSatOffEnabled property.
    `void` | `setWmSatOffMax(int value)` Sets the value of the wmSatOffMax property.
    `void` | `setWmSatOffMin(int value)` Sets the value of the wmSatOffMin property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `void` | `setWmSunOffEnabled(boolean value)` Sets the value of the wmSunOffEnabled property.
    `void` | `setWmSunOffMax(int value)` Sets the value of the wmSunOffMax property.
    `void` | `setWmSunOffMin(int value)` Sets the value of the wmSunOffMin property.
    `void` | `setWmSynch(java.util.List<java.lang.Boolean> wmSynch)` Sets the value of the wmSynch property.
    `void` | `setWmSynchThreshold(int value)` Sets the value of the wmSynchThreshold property.
    `void` | `setWmSynchType(int value)` Sets the value of the wmSynchType property.
    `void` | `setWmSynchWeeks(int value)` Sets the value of the wmSynchWeeks property.
    `void` | `setWmWeekendFirstDay(int value)` Sets the value of the wmWeekendFirstDay property.
    `void` | `setWmWeekendOffEnabled(boolean value)` Sets the value of the wmWeekendOffEnabled property.
    `void` | `setWmWeekendOffMax(int value)` Sets the value of the wmWeekendOffMax property.
    `void` | `setWmWeekendOffMin(int value)` Sets the value of the wmWeekendOffMin property.
    `void` | `setWmWeeklyDaysMax(int value)` Sets the value of the wmWeeklyDaysMax property.
    `void` | `setWmWeeklyDaysMin(int value)` Sets the value of the wmWeeklyDaysMin property.
    `void` | `setWmWeeklyMinutesMax(int value)` Sets the value of the wmWeeklyMinutesMax property.
    `void` | `setWmWeeklyMinutesMin(int value)` Sets the value of the wmWeeklyMinutesMin property.
    `void` | `setWmWeeklyMinutesOver(int value)` Sets the value of the wmWeeklyMinutesOver property.
    `void` | `setWmWeeklyMinutesOver2(int value)` Sets the value of the wmWeeklyMinutesOver2 property.
    `void` | `setWmWeeklyMinutesStd(int value)` Sets the value of the wmWeeklyMinutesStd property.
    `java.lang.String` | `toString()`
    `CfgContract` | `withTimestamp(long value)`
    `CfgContract` | `withWmAvailabilities(CfgContractWeekHours... values)`
    `CfgContract` | `withWmAvailabilities(java.util.Collection<CfgContractWeekHours> values)`
    `CfgContract` | `withWmBUId(int value)`
    `CfgContract` | `withWmCompensationOver(double value)`
    `CfgContract` | `withWmCompensationOver2(double value)`
    `CfgContract` | `withWmContractId(int value)`
    `CfgContract` | `withWmContractMonthHours(CfgContractMonthHours... values)`
    `CfgContract` | `withWmContractMonthHours(java.util.Collection<CfgContractMonthHours> values)`
    `CfgContract` | `withWmContractShifts(CfgContractShift... values)`
    `CfgContract` | `withWmContractShifts(java.util.Collection<CfgContractShift> values)`
    `CfgContract` | `withWmContractShiftsNSizeIs(int value)`
    `CfgContract` | `withWmDailyMinutesMax(int value)`
    `CfgContract` | `withWmDailyMinutesMin(int value)`
    `CfgContract` | `withWmDailyMinutesOver(int value)`
    `CfgContract` | `withWmDailyMinutesOver2(int value)`
    `CfgContract` | `withWmDailyMinutesStd(int value)`
    `CfgContract` | `withWmDayoffEx(int value)`
    `CfgContract` | `withWmDayoffMax(int value)`
    `CfgContract` | `withWmDayoffMin(int value)`
    `CfgContract` | `withWmIcon(int value)`
    `CfgContract` | `withWmMaxBetweenDaysoff(int value)`
    `CfgContract` | `withWmMaxConsecWorkWeekends(int value)`
    `CfgContract` | `withWmMinConsecTimeoff(int value)`
    `CfgContract` | `withWmMonthlyMinutesMax(int value)`
    `CfgContract` | `withWmMonthlyMinutesMin(int value)`
    `CfgContract` | `withWmMonthlyMinutesOver(int value)`
    `CfgContract` | `withWmMonthlyMinutesOver2(int value)`
    `CfgContract` | `withWmMonthlyMinutesStd(int value)`
    `CfgContract` | `withWmName(java.lang.String value)`
    `CfgContract` | `withWmOver2Enabled(boolean value)`
    `CfgContract` | `withWmOverEnabled(boolean value)`
    `CfgContract` | `withWmSatOffEnabled(boolean value)`
    `CfgContract` | `withWmSatOffMax(int value)`
    `CfgContract` | `withWmSatOffMin(int value)`
    `CfgContract` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgContract` | `withWmSiteId(java.lang.Integer... values)`
    `CfgContract` | `withWmSiteIdNSizeIs(int value)`
    `CfgContract` | `withWmSunOffEnabled(boolean value)`
    `CfgContract` | `withWmSunOffMax(int value)`
    `CfgContract` | `withWmSunOffMin(int value)`
    `CfgContract` | `withWmSynch(java.lang.Boolean... values)`
    `CfgContract` | `withWmSynch(java.util.Collection<java.lang.Boolean> values)`
    `CfgContract` | `withWmSynchThreshold(int value)`
    `CfgContract` | `withWmSynchType(int value)`
    `CfgContract` | `withWmSynchWeeks(int value)`
    `CfgContract` | `withWmWeekendFirstDay(int value)`
    `CfgContract` | `withWmWeekendOffEnabled(boolean value)`
    `CfgContract` | `withWmWeekendOffMax(int value)`
    `CfgContract` | `withWmWeekendOffMin(int value)`
    `CfgContract` | `withWmWeeklyDaysMax(int value)`
    `CfgContract` | `withWmWeeklyDaysMin(int value)`
    `CfgContract` | `withWmWeeklyMinutesMax(int value)`
    `CfgContract` | `withWmWeeklyMinutesMin(int value)`
    `CfgContract` | `withWmWeeklyMinutesOver(int value)`
    `CfgContract` | `withWmWeeklyMinutesOver2(int value)`
    `CfgContract` | `withWmWeeklyMinutesStd(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmContractId

          protected int wmContractId

      Contract ID

    - #### wmBUId

          protected int wmBUId

      Contract BU ID `CfgBU`

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

      Number of aelements in wmSiteId array

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

      List of Site ID that Contract belongs to --identifies `CfgSite` objects

    - #### wmName

          protected java.lang.String wmName

      Contract Name

    - #### wmIcon

          protected int wmIcon

      Icon ID

    - #### wmDailyMinutesStd

          protected int wmDailyMinutesStd

      Standard Daily Minutes

    - #### wmDailyMinutesMin

          protected int wmDailyMinutesMin

      Minimum Daily Minutes

    - #### wmDailyMinutesMax

          protected int wmDailyMinutesMax

      Maximum Daily Minutes

    - #### wmWeeklyMinutesStd

          protected int wmWeeklyMinutesStd

      Standard Weekly Minutes

    - #### wmWeeklyMinutesMin

          protected int wmWeeklyMinutesMin

      Minimum Weekly Minutes

    - #### wmWeeklyMinutesMax

          protected int wmWeeklyMinutesMax

      Maximum Weekly MInutes

    - #### wmMonthlyMinutesStd

          protected int wmMonthlyMinutesStd

      Standard Monthly Minutes

    - #### wmMonthlyMinutesMin

          protected int wmMonthlyMinutesMin

      Minimum Monthly Minutes

    - #### wmMonthlyMinutesMax

          protected int wmMonthlyMinutesMax

      Maximum Monthly Minutes

    - #### wmMaxBetweenDaysoff

          protected int wmMaxBetweenDaysoff

      Maximum number of work days between days off

    - #### wmWeeklyDaysMin

          protected int wmWeeklyDaysMin

      Minimum number of work days per week

    - #### wmWeeklyDaysMax

          protected int wmWeeklyDaysMax

      Maximum number of work days per week

    - #### wmSunOffEnabled

          protected boolean wmSunOffEnabled

      Sundays Off rule enabled (true/false)

    - #### wmSunOffMin

          protected int wmSunOffMin

      Minimum number of Sundays off (per planning period)

    - #### wmSunOffMax

          protected int wmSunOffMax

      Maximum number of Sundays off (per planning period)

    - #### wmSatOffEnabled

          protected boolean wmSatOffEnabled

      Saturdays Off rule enabled (true/false)

    - #### wmSatOffMin

          protected int wmSatOffMin

      Minimum number of Saturdays off (per planning period)

    - #### wmSatOffMax

          protected int wmSatOffMax

      Maximum number of Saturdays off (per planning period)

    - #### wmWeekendOffEnabled

          protected boolean wmWeekendOffEnabled

      Weekends Off rule enabled (true/false)

    - #### wmWeekendOffMin

          protected int wmWeekendOffMin

      Minimum number of Weekends off (per planning period)

    - #### wmWeekendOffMax

          protected int wmWeekendOffMax

      Maximum number of Weekends off (per planning period)

    - #### wmDailyMinutesOver

          protected int wmDailyMinutesOver

      DEPRECIATED

    - #### wmWeeklyMinutesOver

          protected int wmWeeklyMinutesOver

      DEPRECIATED

    - #### wmMonthlyMinutesOver

          protected int wmMonthlyMinutesOver

      DEPRECIATED

    - #### wmCompensationOver

          protected double wmCompensationOver

      DEPRECIATED

    - #### wmDailyMinutesOver2

          protected int wmDailyMinutesOver2

      DEPRECIATED

    - #### wmWeeklyMinutesOver2

          protected int wmWeeklyMinutesOver2

      DEPRECIATED

    - #### wmMonthlyMinutesOver2

          protected int wmMonthlyMinutesOver2

      DEPRECIATED

    - #### wmCompensationOver2

          protected double wmCompensationOver2

      DEPRECIATED

    - #### wmOverEnabled

          protected boolean wmOverEnabled

      DEPRECIATED

    - #### wmOver2Enabled

          protected boolean wmOver2Enabled

      DEPRECIATED

    - #### wmMinConsecTimeoff

          protected int wmMinConsecTimeoff

      Minimum number of Consecutive Time Off

    - #### wmDayoffMin

          protected int wmDayoffMin

      Minimum number of Days Off

    - #### wmDayoffMax

          protected int wmDayoffMax

      Maximum number of Days Off

    - #### wmDayoffEx

          protected int wmDayoffEx

    - #### wmSynchThreshold

          protected int wmSynchThreshold

      Synchronization Threshold

    - #### wmSynchWeeks

          protected int wmSynchWeeks

      Synchronization Weeks

    - #### wmMaxConsecWorkWeekends

          protected int wmMaxConsecWorkWeekends

      Maximum Consecutive Work Weekends; value of -1 stands for "not defined".

    - #### wmSynch

          protected java.util.List<java.lang.Boolean> wmSynch

      Synch flag for every week day. Index values: 0 = Mon, 1 = Tue, 2 = Wed, 3 = Thu, 4 = Fri, 5 = Sat, 6 = Sun

    - #### wmWeekendFirstDay

          protected int wmWeekendFirstDay

      Weekend start day. Values: 1 = Mon, 2 = Tue, 3 = Wed, 4 = Thu, 5 = Fri, 6 = Sat, 7 = Sun NOTE: Must always contain 7 elements.

    - #### wmSynchType

          protected int wmSynchType

      Indicates what type of synchronization scheduler should use. Possible values: 1 - shift start, 2 - shift start and duration, 3 - shift start, duration and meals' starts 4 - shift start, duration, start of meals and breaks

    - #### wmAvailabilities

          protected java.util.List<CfgContractWeekHours> wmAvailabilities

      Contract Open Hours (`CfgContractWeekHours`) for every week day. Index values: 0 = Mon, 1 = Tue, 2 = Wed, 3 = Thu, 4 = Fri, 5 = Sat, 6 = Sun NOTE: Must always contain 7 elements.

    - #### wmContractMonthHours

          protected java.util.List<CfgContractMonthHours> wmContractMonthHours

      Contract Monthly Hours (`CfgContractMonthHours`); Index values: 0 = Jan, 2 = Feb, ..., 11 = Dec NOTE: Must always contain 12 elements.

    - #### wmContractShiftsNSizeIs

          protected int wmContractShiftsNSizeIs

      Number of elements in the wmContractShifts array

    - #### wmContractShifts

          protected java.util.List<CfgContractShift> wmContractShifts

      List of Shifts (`CfgContractShift`) that are associated with Contract

    - #### timestamp

          protected long timestamp

      A timestamp value -- marks the point in time when Object information was obtained

  - ### Constructor Detail

    - #### CfgContract

          public CfgContract()

  - ### Method Detail

    - #### getWmContractId

          public int getWmContractId()

      Gets the value of the wmContractId property.

    - #### setWmContractId

          public void setWmContractId(int value)

      Sets the value of the wmContractId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmIcon

          public int getWmIcon()

      Gets the value of the wmIcon property.

    - #### setWmIcon

          public void setWmIcon(int value)

      Sets the value of the wmIcon property.

    - #### getWmDailyMinutesStd

          public int getWmDailyMinutesStd()

      Gets the value of the wmDailyMinutesStd property.

    - #### setWmDailyMinutesStd

          public void setWmDailyMinutesStd(int value)

      Sets the value of the wmDailyMinutesStd property.

    - #### getWmDailyMinutesMin

          public int getWmDailyMinutesMin()

      Gets the value of the wmDailyMinutesMin property.

    - #### setWmDailyMinutesMin

          public void setWmDailyMinutesMin(int value)

      Sets the value of the wmDailyMinutesMin property.

    - #### getWmDailyMinutesMax

          public int getWmDailyMinutesMax()

      Gets the value of the wmDailyMinutesMax property.

    - #### setWmDailyMinutesMax

          public void setWmDailyMinutesMax(int value)

      Sets the value of the wmDailyMinutesMax property.

    - #### getWmWeeklyMinutesStd

          public int getWmWeeklyMinutesStd()

      Gets the value of the wmWeeklyMinutesStd property.

    - #### setWmWeeklyMinutesStd

          public void setWmWeeklyMinutesStd(int value)

      Sets the value of the wmWeeklyMinutesStd property.

    - #### getWmWeeklyMinutesMin

          public int getWmWeeklyMinutesMin()

      Gets the value of the wmWeeklyMinutesMin property.

    - #### setWmWeeklyMinutesMin

          public void setWmWeeklyMinutesMin(int value)

      Sets the value of the wmWeeklyMinutesMin property.

    - #### getWmWeeklyMinutesMax

          public int getWmWeeklyMinutesMax()

      Gets the value of the wmWeeklyMinutesMax property.

    - #### setWmWeeklyMinutesMax

          public void setWmWeeklyMinutesMax(int value)

      Sets the value of the wmWeeklyMinutesMax property.

    - #### getWmMonthlyMinutesStd

          public int getWmMonthlyMinutesStd()

      Gets the value of the wmMonthlyMinutesStd property.

    - #### setWmMonthlyMinutesStd

          public void setWmMonthlyMinutesStd(int value)

      Sets the value of the wmMonthlyMinutesStd property.

    - #### getWmMonthlyMinutesMin

          public int getWmMonthlyMinutesMin()

      Gets the value of the wmMonthlyMinutesMin property.

    - #### setWmMonthlyMinutesMin

          public void setWmMonthlyMinutesMin(int value)

      Sets the value of the wmMonthlyMinutesMin property.

    - #### getWmMonthlyMinutesMax

          public int getWmMonthlyMinutesMax()

      Gets the value of the wmMonthlyMinutesMax property.

    - #### setWmMonthlyMinutesMax

          public void setWmMonthlyMinutesMax(int value)

      Sets the value of the wmMonthlyMinutesMax property.

    - #### getWmMaxBetweenDaysoff

          public int getWmMaxBetweenDaysoff()

      Gets the value of the wmMaxBetweenDaysoff property.

    - #### setWmMaxBetweenDaysoff

          public void setWmMaxBetweenDaysoff(int value)

      Sets the value of the wmMaxBetweenDaysoff property.

    - #### getWmWeeklyDaysMin

          public int getWmWeeklyDaysMin()

      Gets the value of the wmWeeklyDaysMin property.

    - #### setWmWeeklyDaysMin

          public void setWmWeeklyDaysMin(int value)

      Sets the value of the wmWeeklyDaysMin property.

    - #### getWmWeeklyDaysMax

          public int getWmWeeklyDaysMax()

      Gets the value of the wmWeeklyDaysMax property.

    - #### setWmWeeklyDaysMax

          public void setWmWeeklyDaysMax(int value)

      Sets the value of the wmWeeklyDaysMax property.

    - #### isWmSunOffEnabled

          public boolean isWmSunOffEnabled()

      Gets the value of the wmSunOffEnabled property.

    - #### setWmSunOffEnabled

          public void setWmSunOffEnabled(boolean value)

      Sets the value of the wmSunOffEnabled property.

    - #### getWmSunOffMin

          public int getWmSunOffMin()

      Gets the value of the wmSunOffMin property.

    - #### setWmSunOffMin

          public void setWmSunOffMin(int value)

      Sets the value of the wmSunOffMin property.

    - #### getWmSunOffMax

          public int getWmSunOffMax()

      Gets the value of the wmSunOffMax property.

    - #### setWmSunOffMax

          public void setWmSunOffMax(int value)

      Sets the value of the wmSunOffMax property.

    - #### isWmSatOffEnabled

          public boolean isWmSatOffEnabled()

      Gets the value of the wmSatOffEnabled property.

    - #### setWmSatOffEnabled

          public void setWmSatOffEnabled(boolean value)

      Sets the value of the wmSatOffEnabled property.

    - #### getWmSatOffMin

          public int getWmSatOffMin()

      Gets the value of the wmSatOffMin property.

    - #### setWmSatOffMin

          public void setWmSatOffMin(int value)

      Sets the value of the wmSatOffMin property.

    - #### getWmSatOffMax

          public int getWmSatOffMax()

      Gets the value of the wmSatOffMax property.

    - #### setWmSatOffMax

          public void setWmSatOffMax(int value)

      Sets the value of the wmSatOffMax property.

    - #### isWmWeekendOffEnabled

          public boolean isWmWeekendOffEnabled()

      Gets the value of the wmWeekendOffEnabled property.

    - #### setWmWeekendOffEnabled

          public void setWmWeekendOffEnabled(boolean value)

      Sets the value of the wmWeekendOffEnabled property.

    - #### getWmWeekendOffMin

          public int getWmWeekendOffMin()

      Gets the value of the wmWeekendOffMin property.

    - #### setWmWeekendOffMin

          public void setWmWeekendOffMin(int value)

      Sets the value of the wmWeekendOffMin property.

    - #### getWmWeekendOffMax

          public int getWmWeekendOffMax()

      Gets the value of the wmWeekendOffMax property.

    - #### setWmWeekendOffMax

          public void setWmWeekendOffMax(int value)

      Sets the value of the wmWeekendOffMax property.

    - #### getWmDailyMinutesOver

          public int getWmDailyMinutesOver()

      Gets the value of the wmDailyMinutesOver property.

    - #### setWmDailyMinutesOver

          public void setWmDailyMinutesOver(int value)

      Sets the value of the wmDailyMinutesOver property.

    - #### getWmWeeklyMinutesOver

          public int getWmWeeklyMinutesOver()

      Gets the value of the wmWeeklyMinutesOver property.

    - #### setWmWeeklyMinutesOver

          public void setWmWeeklyMinutesOver(int value)

      Sets the value of the wmWeeklyMinutesOver property.

    - #### getWmMonthlyMinutesOver

          public int getWmMonthlyMinutesOver()

      Gets the value of the wmMonthlyMinutesOver property.

    - #### setWmMonthlyMinutesOver

          public void setWmMonthlyMinutesOver(int value)

      Sets the value of the wmMonthlyMinutesOver property.

    - #### getWmCompensationOver

          public double getWmCompensationOver()

      Gets the value of the wmCompensationOver property.

    - #### setWmCompensationOver

          public void setWmCompensationOver(double value)

      Sets the value of the wmCompensationOver property.

    - #### getWmDailyMinutesOver2

          public int getWmDailyMinutesOver2()

      Gets the value of the wmDailyMinutesOver2 property.

    - #### setWmDailyMinutesOver2

          public void setWmDailyMinutesOver2(int value)

      Sets the value of the wmDailyMinutesOver2 property.

    - #### getWmWeeklyMinutesOver2

          public int getWmWeeklyMinutesOver2()

      Gets the value of the wmWeeklyMinutesOver2 property.

    - #### setWmWeeklyMinutesOver2

          public void setWmWeeklyMinutesOver2(int value)

      Sets the value of the wmWeeklyMinutesOver2 property.

    - #### getWmMonthlyMinutesOver2

          public int getWmMonthlyMinutesOver2()

      Gets the value of the wmMonthlyMinutesOver2 property.

    - #### setWmMonthlyMinutesOver2

          public void setWmMonthlyMinutesOver2(int value)

      Sets the value of the wmMonthlyMinutesOver2 property.

    - #### getWmCompensationOver2

          public double getWmCompensationOver2()

      Gets the value of the wmCompensationOver2 property.

    - #### setWmCompensationOver2

          public void setWmCompensationOver2(double value)

      Sets the value of the wmCompensationOver2 property.

    - #### isWmOverEnabled

          public boolean isWmOverEnabled()

      Gets the value of the wmOverEnabled property.

    - #### setWmOverEnabled

          public void setWmOverEnabled(boolean value)

      Sets the value of the wmOverEnabled property.

    - #### isWmOver2Enabled

          public boolean isWmOver2Enabled()

      Gets the value of the wmOver2Enabled property.

    - #### setWmOver2Enabled

          public void setWmOver2Enabled(boolean value)

      Sets the value of the wmOver2Enabled property.

    - #### getWmMinConsecTimeoff

          public int getWmMinConsecTimeoff()

      Gets the value of the wmMinConsecTimeoff property.

    - #### setWmMinConsecTimeoff

          public void setWmMinConsecTimeoff(int value)

      Sets the value of the wmMinConsecTimeoff property.

    - #### getWmDayoffMin

          public int getWmDayoffMin()

      Gets the value of the wmDayoffMin property.

    - #### setWmDayoffMin

          public void setWmDayoffMin(int value)

      Sets the value of the wmDayoffMin property.

    - #### getWmDayoffMax

          public int getWmDayoffMax()

      Gets the value of the wmDayoffMax property.

    - #### setWmDayoffMax

          public void setWmDayoffMax(int value)

      Sets the value of the wmDayoffMax property.

    - #### getWmDayoffEx

          public int getWmDayoffEx()

      Gets the value of the wmDayoffEx property.

    - #### setWmDayoffEx

          public void setWmDayoffEx(int value)

      Sets the value of the wmDayoffEx property.

    - #### getWmSynchThreshold

          public int getWmSynchThreshold()

      Gets the value of the wmSynchThreshold property.

    - #### setWmSynchThreshold

          public void setWmSynchThreshold(int value)

      Sets the value of the wmSynchThreshold property.

    - #### getWmSynchWeeks

          public int getWmSynchWeeks()

      Gets the value of the wmSynchWeeks property.

    - #### setWmSynchWeeks

          public void setWmSynchWeeks(int value)

      Sets the value of the wmSynchWeeks property.

    - #### getWmMaxConsecWorkWeekends

          public int getWmMaxConsecWorkWeekends()

      Gets the value of the wmMaxConsecWorkWeekends property.

    - #### setWmMaxConsecWorkWeekends

          public void setWmMaxConsecWorkWeekends(int value)

      Sets the value of the wmMaxConsecWorkWeekends property.

    - #### getWmSynch

          public java.util.List<java.lang.Boolean> getWmSynch()

      Gets the value of the wmSynch property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSynch property.

      For example, to add a new item, do as follows:

              getWmSynch().add(newItem);

      Objects of the following type(s) are allowed in the list `Boolean`

    - #### getWmWeekendFirstDay

          public int getWmWeekendFirstDay()

      Gets the value of the wmWeekendFirstDay property.

    - #### setWmWeekendFirstDay

          public void setWmWeekendFirstDay(int value)

      Sets the value of the wmWeekendFirstDay property.

    - #### getWmSynchType

          public int getWmSynchType()

      Gets the value of the wmSynchType property.

    - #### setWmSynchType

          public void setWmSynchType(int value)

      Sets the value of the wmSynchType property.

    - #### getWmAvailabilities

          public java.util.List<CfgContractWeekHours> getWmAvailabilities()

      Gets the value of the wmAvailabilities property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmAvailabilities property.

      For example, to add a new item, do as follows:

              getWmAvailabilities().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgContractWeekHours`

    - #### getWmContractMonthHours

          public java.util.List<CfgContractMonthHours> getWmContractMonthHours()

      Gets the value of the wmContractMonthHours property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmContractMonthHours property.

      For example, to add a new item, do as follows:

              getWmContractMonthHours().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgContractMonthHours`

    - #### getWmContractShiftsNSizeIs

          public int getWmContractShiftsNSizeIs()

      Gets the value of the wmContractShiftsNSizeIs property.

    - #### setWmContractShiftsNSizeIs

          public void setWmContractShiftsNSizeIs(int value)

      Sets the value of the wmContractShiftsNSizeIs property.

    - #### getWmContractShifts

          public java.util.List<CfgContractShift> getWmContractShifts()

      Gets the value of the wmContractShifts property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmContractShifts property.

      For example, to add a new item, do as follows:

              getWmContractShifts().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgContractShift`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmContractId

          public CfgContract withWmContractId(int value)

    - #### withWmBUId

          public CfgContract withWmBUId(int value)

    - #### withWmSiteIdNSizeIs

          public CfgContract withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgContract withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgContract withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmName

          public CfgContract withWmName(java.lang.String value)

    - #### withWmIcon

          public CfgContract withWmIcon(int value)

    - #### withWmDailyMinutesStd

          public CfgContract withWmDailyMinutesStd(int value)

    - #### withWmDailyMinutesMin

          public CfgContract withWmDailyMinutesMin(int value)

    - #### withWmDailyMinutesMax

          public CfgContract withWmDailyMinutesMax(int value)

    - #### withWmWeeklyMinutesStd

          public CfgContract withWmWeeklyMinutesStd(int value)

    - #### withWmWeeklyMinutesMin

          public CfgContract withWmWeeklyMinutesMin(int value)

    - #### withWmWeeklyMinutesMax

          public CfgContract withWmWeeklyMinutesMax(int value)

    - #### withWmMonthlyMinutesStd

          public CfgContract withWmMonthlyMinutesStd(int value)

    - #### withWmMonthlyMinutesMin

          public CfgContract withWmMonthlyMinutesMin(int value)

    - #### withWmMonthlyMinutesMax

          public CfgContract withWmMonthlyMinutesMax(int value)

    - #### withWmMaxBetweenDaysoff

          public CfgContract withWmMaxBetweenDaysoff(int value)

    - #### withWmWeeklyDaysMin

          public CfgContract withWmWeeklyDaysMin(int value)

    - #### withWmWeeklyDaysMax

          public CfgContract withWmWeeklyDaysMax(int value)

    - #### withWmSunOffEnabled

          public CfgContract withWmSunOffEnabled(boolean value)

    - #### withWmSunOffMin

          public CfgContract withWmSunOffMin(int value)

    - #### withWmSunOffMax

          public CfgContract withWmSunOffMax(int value)

    - #### withWmSatOffEnabled

          public CfgContract withWmSatOffEnabled(boolean value)

    - #### withWmSatOffMin

          public CfgContract withWmSatOffMin(int value)

    - #### withWmSatOffMax

          public CfgContract withWmSatOffMax(int value)

    - #### withWmWeekendOffEnabled

          public CfgContract withWmWeekendOffEnabled(boolean value)

    - #### withWmWeekendOffMin

          public CfgContract withWmWeekendOffMin(int value)

    - #### withWmWeekendOffMax

          public CfgContract withWmWeekendOffMax(int value)

    - #### withWmDailyMinutesOver

          public CfgContract withWmDailyMinutesOver(int value)

    - #### withWmWeeklyMinutesOver

          public CfgContract withWmWeeklyMinutesOver(int value)

    - #### withWmMonthlyMinutesOver

          public CfgContract withWmMonthlyMinutesOver(int value)

    - #### withWmCompensationOver

          public CfgContract withWmCompensationOver(double value)

    - #### withWmDailyMinutesOver2

          public CfgContract withWmDailyMinutesOver2(int value)

    - #### withWmWeeklyMinutesOver2

          public CfgContract withWmWeeklyMinutesOver2(int value)

    - #### withWmMonthlyMinutesOver2

          public CfgContract withWmMonthlyMinutesOver2(int value)

    - #### withWmCompensationOver2

          public CfgContract withWmCompensationOver2(double value)

    - #### withWmOverEnabled

          public CfgContract withWmOverEnabled(boolean value)

    - #### withWmOver2Enabled

          public CfgContract withWmOver2Enabled(boolean value)

    - #### withWmMinConsecTimeoff

          public CfgContract withWmMinConsecTimeoff(int value)

    - #### withWmDayoffMin

          public CfgContract withWmDayoffMin(int value)

    - #### withWmDayoffMax

          public CfgContract withWmDayoffMax(int value)

    - #### withWmDayoffEx

          public CfgContract withWmDayoffEx(int value)

    - #### withWmSynchThreshold

          public CfgContract withWmSynchThreshold(int value)

    - #### withWmSynchWeeks

          public CfgContract withWmSynchWeeks(int value)

    - #### withWmMaxConsecWorkWeekends

          public CfgContract withWmMaxConsecWorkWeekends(int value)

    - #### withWmSynch

          public CfgContract withWmSynch(java.lang.Boolean... values)

    - #### withWmSynch

          public CfgContract withWmSynch(java.util.Collection<java.lang.Boolean> values)

    - #### withWmWeekendFirstDay

          public CfgContract withWmWeekendFirstDay(int value)

    - #### withWmSynchType

          public CfgContract withWmSynchType(int value)

    - #### withWmAvailabilities

          public CfgContract withWmAvailabilities(CfgContractWeekHours... values)

    - #### withWmAvailabilities

          public CfgContract withWmAvailabilities(java.util.Collection<CfgContractWeekHours> values)

    - #### withWmContractMonthHours

          public CfgContract withWmContractMonthHours(CfgContractMonthHours... values)

    - #### withWmContractMonthHours

          public CfgContract withWmContractMonthHours(java.util.Collection<CfgContractMonthHours> values)

    - #### withWmContractShiftsNSizeIs

          public CfgContract withWmContractShiftsNSizeIs(int value)

    - #### withWmContractShifts

          public CfgContract withWmContractShifts(CfgContractShift... values)

    - #### withWmContractShifts

          public CfgContract withWmContractShifts(java.util.Collection<CfgContractShift> values)

    - #### withTimestamp

          public CfgContract withTimestamp(long value)

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### setWmSynch

          public void setWmSynch(java.util.List<java.lang.Boolean> wmSynch)

      Sets the value of the wmSynch property.
      Parameters:
        `wmSynch` - allowed object is `Boolean`

    - #### setWmAvailabilities

          public void setWmAvailabilities(java.util.List<CfgContractWeekHours> wmAvailabilities)

      Sets the value of the wmAvailabilities property.
      Parameters:
        `wmAvailabilities` - allowed object is `CfgContractWeekHours`

    - #### setWmContractMonthHours

          public void setWmContractMonthHours(java.util.List<CfgContractMonthHours> wmContractMonthHours)

      Sets the value of the wmContractMonthHours property.
      Parameters:
        `wmContractMonthHours` - allowed object is `CfgContractMonthHours`

    - #### setWmContractShifts

          public void setWmContractShifts(java.util.List<CfgContractShift> wmContractShifts)

      Sets the value of the wmContractShifts property.
      Parameters:
        `wmContractShifts` - allowed object is `CfgContractShift`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.